VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin Class Reference

`Ipv6.IPv6AddressOrigin` enumerated type Defines IPV6 address origin values More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, dhcp, random, manual, other, linklayer }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IPv6AddressOrigin[] | GetValues ()
static IPv6AddressOrigin | ValueOf (string name)
## Static Public Attributes
static readonly IPv6AddressOrigin | dhcp = new IPv6AddressOrigin("dhcp", Values.dhcp)
| The IPv6 address is assigned by a DHCP server.
static readonly IPv6AddressOrigin | random = new IPv6AddressOrigin("random", Values.random)
| The IPv6 address is assigned randomly by the system.
static readonly IPv6AddressOrigin | manual = new IPv6AddressOrigin("manual", Values.manual)
| The IPv6 address was manually configured to a specified address, for, example, by user configuration.
static readonly IPv6AddressOrigin | other = new IPv6AddressOrigin("other", Values.other)
| The IPv6 address is assigned by a mechanism other than manual, DHCP, SLAAC, or random.
static readonly IPv6AddressOrigin | linklayer = new IPv6AddressOrigin("linklayer", Values.linklayer)
| The IPv6 address is assigned by IPv6 Stateless Address Auto-configuration (SLAAC).

## Detailed Description

`Ipv6.IPv6AddressOrigin` enumerated type Defines IPV6 address origin values

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  dhcp | The IPv6 address is assigned by a DHCP server. See RFC 4293.
  random | The IPv6 address is assigned randomly by the system. See RFC 4293.
  manual | The IPv6 address was manually configured to a specified address, for, example, by user configuration. See RFC 4293.
  other | The IPv6 address is assigned by a mechanism other than manual, DHCP, SLAAC, or random. See RFC 4293.
  linklayer | The IPv6 address is assigned by IPv6 Stateless Address Auto-configuration (SLAAC). See RFC 4293.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::GetEnumValue | ( |  | ) | `[inline]`

static IPv6AddressOrigin [] vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::IsUnknown | ( |  | ) | `[inline]`

static IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::dhcp = new IPv6AddressOrigin("dhcp", Values.dhcp)`[static]`

The IPv6 address is assigned by a DHCP server.

See RFC 4293.

readonly IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::linklayer = new IPv6AddressOrigin("linklayer", Values.linklayer)`[static]`

The IPv6 address is assigned by IPv6 Stateless Address Auto-configuration (SLAAC).

See RFC 4293.

readonly IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::manual = new IPv6AddressOrigin("manual", Values.manual)`[static]`

The IPv6 address was manually configured to a specified address, for, example, by user configuration.

See RFC 4293.

readonly IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::other = new IPv6AddressOrigin("other", Values.other)`[static]`

The IPv6 address is assigned by a mechanism other than manual, DHCP, SLAAC, or random.

See RFC 4293.

readonly IPv6AddressOrigin vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressOrigin::random = new IPv6AddressOrigin("random", Values.random)`[static]`

The IPv6 address is assigned randomly by the system.

See RFC 4293.

The documentation for this class was generated from the following file:

- Ipv6Types.cs